Gets the list of cashbacks.
Returns the list of all the cashbacks generated for a consumer.
GET
/
connectors
/
consumers
/
{consumer_id}
/
rewards
/
cashbacks
Gets the list of cashbacks.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/cashbacks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/cashbacks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/cashbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": -23.68,
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"cancellation_date": "2019-01-23T12:00:00+00:00",
"cancellation_reason": "Transaction has been deleted",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"estimated_payment_date": "2019-01-23T12:00:00+00:00",
"merchant": {
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"has_delegation": true,
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"payment_date": "2019-01-23T12:00:00+00:00",
"pending_validation_date": "2019-01-23T12:00:00+00:00",
"status": "VALIDATED",
"transaction": {
"amount": -23.68,
"executed_at": "2019-01-31T12:00:00+00:00",
"descriptor": "MYBRAND",
"external_id": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
},
"transfer_date": "2019-01-23T12:00:00+00:00",
"universe": {
"children": [
{
"children": "<array>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
}
],
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
},
"user_offer": {
"cashback_rate": 5,
"highlight_level": "HIGH",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"reference": "MYBRAND-20180220-001",
"status": "<string>",
"type": "CASHBACK",
"application_channel": "ONLINE",
"application_url": "https://www.mybrand.fr",
"brand": {
"description": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"legal_terms": "<string>",
"logo": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "<string>",
"universes": [
{
"children": "<array>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"name": "<string>",
"parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
}
]
},
"description": "<string>",
"end_date": "2017-12-26T23:00:00+00:00",
"is_consumed": true,
"is_favorite": true,
"legal_terms": "<string>",
"max_amount": 250,
"max_cashbacks_per_consumer": 123,
"min_amount": 40,
"picture": {
"content_type": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<string>",
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"publication_date": "2019-01-01T00:00:00+00:00",
"segments": [
{
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
],
"source_transaction": true,
"start_date": "2018-12-21T00:00:00+00:00"
},
"validation_date": "2023-11-07T05:31:56Z",
"validation_estimated_date": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Query Parameters
Filter by amount
Amount of the transaction
Filter by created_at
Filtering on date of creation between -- after -- before --
Filter by descriptor
Label of the transaction
the page number
Required range:
x >= 1the number of elements per page
Required range:
1 <= x <= 100Sort by given attribute
Available options:
amount, status, created_at, user_offer__reference, user_offer__id, user_offer__name, user_offer__brand__name, descriptor, transaction__amount, transaction__score, -amount, -status, -created_at, -user_offer__reference, -user_offer__id, -user_offer__name, -user_offer__brand__name, -descriptor, -transaction__amount, -transaction__score Filter by status
Available options:
CANCELLED, PENDING_VALIDATION, VALIDATED, PAID_IN, PAID_OUT, ERROR Filter by transaction__amount
Filter by transaction__score
Filter by user_offer__brand__name
Filter by user_offer__id
Filter by user_offer__name
Filter by user_offer__reference
Was this page helpful?
⌘I
Gets the list of cashbacks.
